UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | List of all members
uhd::reusable_barrier Class Reference

`#include <atomic.hpp>`

## Public Member Functions
void | resize (const size_t size)
| Resize the barrier for N threads. More...
void | interrupt (void)
UHD_INLINE void | wait (void)
| Wait on the barrier condition. More...

## Detailed Description

A reusable barrier to sync multiple threads. All threads spin on wait() until count is reset.

## Member Function Documentation

void uhd::reusable_barrier::interrupt | ( | void |  | ) |
| inline

Force the barrier wait to throw a boost::thread_interrupted The threads were not getting the interruption_point on windows.

void uhd::reusable_barrier::resize | ( | const size_t | size | ) |
| inline

Resize the barrier for N threads.

UHD_INLINE void uhd::reusable_barrier::wait | ( | void |  | ) |
| inline

Wait on the barrier condition.

The documentation for this class was generated from the following file:

- include/uhd/utils/atomic.hpp